Package: groovy.swing.impl

## [Java] Class DefaultAction

- groovy.swing.impl.DefaultAction

- A default action implementation

  Authors:
    James Strachan

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractAction` | `DEFAULT, NAME, SHORT_DESCRIPTION, LONG_DESCRIPTION, SMALL_ICON, ACTION_COMMAND_KEY, ACCELERATOR_KEY, MNEMONIC_KEY, SELECTED_KEY, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Closure` | `closure`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `actionPerformed(ActionEvent event)`
    `` | `Closure` | `getClosure()`
    `` | `void` | `setClosure(Closure closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractAction` | `getValue, getKeys, putValue, setEnabled, isEnabled, addPropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, actionPerformed`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Closure closure

  - ### Method Detail

    - #### public void actionPerformed(ActionEvent event)

    - #### public Closure getClosure()

    - #### public void setClosure(Closure closure)